Subject: Re: Some recent Internet Drafts relating to URIs

From: Patrick Stickler <[email-masked]>
Date: Mon, 21 Jan 2002 07:42:09 +0200

On 2002-01-20 20:33, "ext Michael Mealling" <[email-masked]> wrote:

> On Sun, Jan 20, 2002 at 08:27:52PM +0200, Patrick Stickler wrote:
>> On 2002-01-20 20:13, "ext Patrick Stickler" <[email-masked]>
>> wrote:
>>
>>> ... surely I don't need to enumerate all of the
>>> obvious cases where 'uri:' doesn't do the job...
>>
>> Sorry. Typo. that should have been 'urn:'.
>>
>> Hopefully it was obvious ;-)
>
> Nope. But now it makes more sense. The 'urn:' scheme never suggests
> that it is the only uri scheme that has 'naming' semantics. There
> can be others if you need additional semantics. But don't call those
> other name-like URI schemes URNs. Its just not productive and it confuses
> the hell out of people...
>
> -MM

I've actually found few to none that have been confused by
my calling an 'hrn:' a URN and who didn't follow what was
meant by URL/URN/URP/URT/URV.

It seems that most of the folks who have a problem with
the classical view are also those who are highly http: URI
centric (i.e. use 'http:' URIs for everything).

Those who feel that 'http:' URIs are URLs and should be
expected to resolve to "something" and not be used to denote
abstract or non-digital resources seem to have no problem
whatsoever with the distinction between URL, URN, etc.

Finally, it may be that all this has been hashed out in
considerable detail in the past (perhaps there are some
position summaries in the W3C or IETF archives?) but
the fact that class identifiers such as URL, URN, etc.
"won't die" suggests that the contemporary view does
not reflect the needs of the web community at large.

The thought has frequently crossed my mind that, while
the Web may get along with the contemporary view, the
Semantic Web will not (or not as well).

Ultimately, the needs of applications will decide the
classicial vs. contemporary issue (and I don't consider
it closed) and there are now emerging applications that
will benefit from a formal, explicit classification of
URI schemes.

Cheers,

Patrick

--

Patrick Stickler              Phone: +358 50 483 9453
Senior Research Scientist     Fax:   +358 7180 35409
Nokia Research Center         Email: [email-masked]